Remove questions from FAQ
curl --request DELETE \
--url https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template/questions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template/questions"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template/questions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template/questions"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template/questions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template/questions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyKnowledge Bases
Remove questions from FAQ
Remove questions and answers from existing FAQ sheet. The question IDs can be a sent in the query parameters.
Example: DELETE /kb/v1/knowledge-bases/{id}/faq-template/questions?faq_ids=abcd&faq_ids=efgh
Alternatively, the faq_ids can be sent as an array of strings in the request body.
Example: DELETE /kb/v1/knowledge-bases/{id}/faq-template/questions with body = { "faq_ids": [ "abcd", "efgh"] }
DELETE
/
kb
/
v1
/
knowledge-bases
/
{id}
/
faq-template
/
questions
Remove questions from FAQ
curl --request DELETE \
--url https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template/questions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template/questions"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template/questions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template/questions"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template/questions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-prod.interactly.ai/kb/v1/knowledge-bases/{id}/faq-template/questions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyAuthorizations
Retrieve your API Key from Dashboard API Keys Section.
Response
202
accepted